<template>
	<div>
		<div class="content">
			<div class="content_item content_item_padding0">
			    <div class="label">项目名称</div>
			    <div class="content_right">
			        <el-input class="ename_input" 
					placeholder="请输入项目名称关键字" v-model="landMarketDto.keyword" ></el-input>
			    </div>
			</div>
			<div class="content_item">
			    <div class="label">土地信息</div>
			    <div class="content_right">
				   <div class="select-popper">
				   		<span :class="{ color_text:landMarketDto.province.length ||landMarketDto.city.length ||landMarketDto.area.length,}">
				   			行政区划{{landMarketDto.province.length ||landMarketDto.city.length ||landMarketDto.area.length? landMarketDto.province.length +landMarketDto.city.length +landMarketDto.area.length +"项": ""
				                     }}
				   			<i class="el-icon-caret-bottom"></i>
				   		</span>
						<el-cascader ref="address"   class="cascader-region select-location" @change="domicileChange" v-model="addressType"
							:options="addressList" :props="props" collapse-tags clearable></el-cascader>
				   </div>
				   <div class="select-popper">
				   		<span :class="{ color_text: landMarketDto.landUse.length }">
				   			土地用途{{landMarketDto.landUse.length? landMarketDto.landUse.length + "项": ""}}
				   			<i class="el-icon-caret-bottom"></i>
				   		</span>
				   		<el-select v-model="landMarketDto.landUse" class="select-multiple" multiple placeholder="请选择">
				   			<el-option v-for="(item, i) in landUseOptions" :key="i" :label="item" :value="item">
				   			</el-option>
				   		</el-select>
				   	</div>
					<div class="select-popper">
						<span :class="{ color_text: landMarketDto.industry.length }">
							土地行业分类{{landMarketDto.industry.length? landMarketDto.industry.length + "项": ""}}
							<i class="el-icon-caret-bottom"></i>
						</span>
						<el-select v-model="landMarketDto.industry" class="select-multiple" multiple placeholder="请选择">
							<el-option v-for="(item, i) in landMarketIndustryList" :key="i" :label="item" :value="item">
							</el-option>
						</el-select>
					</div>
					<div class="select-popper">
						<span :class="{ color_text: landMarketDto.supplyLandWay.length }">
							供应方式{{landMarketDto.supplyLandWay.length? landMarketDto.supplyLandWay.length + "项": ""}}
							<i class="el-icon-caret-bottom"></i>
						</span>
						<el-select v-model="landMarketDto.supplyLandWay" class="select-multiple" multiple placeholder="请选择">
							<el-option v-for="(item, i) in supplyLandWayOptions" :key="i" :label="item" :value="item">
							</el-option>
						</el-select>
					</div>
					
					<el-dropdown @command="handleCommand" class="el-dropdown-land"  placement="bottom-start" trigger="click" ref="popper" :hide-on-click="false">
						<span class="el-dropdown-link" :class="landMarketDto.startAcreage || landMarketDto.endAcreage? 'color_text': ''">
							出让面积{{landMarketDto.startAcreage || landMarketDto.endAcreage? " 1项": ""}}<i class="el-icon-caret-bottom"></i>
						</span>
						<el-dropdown-menu slot="dropdown">
							<el-dropdown-item v-for="(item, i) in acreageOptions" :class="landMarketDto.startAcreage == item.value[0] &&landMarketDto.endAcreage == item.value[1] &&
					               !startAcreage && !endAcreage? 'color_text': ''" :key="i" :command="item.value">{{ item.label }}</el-dropdown-item>
								<el-dropdown-item command="" style="padding: 0; text-indent: 20px">
									<div @mouseenter="showPopper = true" @mouseleave="showPopper = false">
										<span :class="(startAcreage || endAcreage) &&landMarketDto.startAcreage == startAcreage &&landMarketDto.endAcreage == endAcreage
					                            ? 'color_text': '' ">
											自定义<i class="el-icon-arrow-right"></i>
										</span>
										<div class="jabph_popper_box jabph_popper_box3" style="position: absolute" v-if="showPopper">
											<div class="jabph_popper_wrap">
												从
												<el-input class="jabph_popper_input" v-limit-num clearable v-model="startAcreage"></el-input>
												平
											</div>
											<div class="jabph_popper_wrap">
												到
												<el-input class="jabph_popper_input" v-limit-num clearable v-model="endAcreage"></el-input>
												平
											</div>
											<div style="">
												<el-button size="mini" @click="cancel">取消</el-button>
												<el-button type="primary" size="mini" @click="popperConfirm">确定</el-button>
											</div>
										</div>
									</div>
								</el-dropdown-item>
						</el-dropdown-menu>
					</el-dropdown>
					<div class="select-popper">
							<el-popover  v-model="showIpt"  placement="bottom-start" trigger="click">
								<div class="jabph_popper_box jabph_popper_box1" style="position: relative">
									<div class="jabph_popper_wrap">
										最小
										<el-input class="jabph_popper_input" v-limit-num clearable v-model="volumeRateLow">
										</el-input>
									</div>
									<div class="jabph_popper_wrap">
										最大
										<el-input class="jabph_popper_input" v-limit-num clearable v-model="volumeRateHigh">
										</el-input>
									</div>
									<div style="">
										<el-button size="mini" @click="showIpt = false">取消</el-button>
										<el-button type="primary" size="mini" @click="volumeRateConfirm">确定</el-button>
									</div>
								</div>
								<span slot="reference" :class="{color_text:landMarketDto.volumeRateHigh || landMarketDto.volumeRateLow,}">
									约定容积率{{landMarketDto.volumeRateHigh || landMarketDto.volumeRateLow? "1项": ""}}
									<i class="el-icon-caret-bottom"></i>
								</span>
							</el-popover>
					</div>
				   
			    </div>
			</div>
			<div class="content_item">
			    <div class="label">成交信息</div>
			    <div class="content_right">
					<el-dropdown @command="transactionPricehandleCommand" class="el-dropdown-land" placement="bottom-start" trigger="click" ref="transactionPriceShowPopper" :hide-on-click="false">
						<span class="el-dropdown-link" :class="landMarketDto.startTransactionPrice ||landMarketDto.endTransactionPrice ? 'color_text': ''">
							成交金额{{landMarketDto.startTransactionPrice ||landMarketDto.endTransactionPrice? " 1项": ""}}<i class="el-icon-caret-bottom"></i>
						</span>
						<el-dropdown-menu slot="dropdown">
							<el-dropdown-item v-for="(item, i) in transactionPriceOptions" :class="landMarketDto.startTransactionPrice == item.value[0] &&landMarketDto.endTransactionPrice == item.value[1] &&
					                   !startTransactionPrice &&!endTransactionPrice? 'color_text': '' " :key="i" :command="item.value">{{ item.label }}</el-dropdown-item>
								<el-dropdown-item command="" style="padding: 0; text-indent: 20px">
									<div @mouseenter="transactionPriceShowPopper = true" @mouseleave="transactionPriceShowPopper = false">
										<span :class="(startTransactionPrice || endTransactionPrice) &&landMarketDto.startTransactionPrice ==startTransactionPrice &&
					                            landMarketDto.endTransactionPrice == endTransactionPrice? 'color_text': '' ">
											自定义<i class="el-icon-arrow-right"></i>
										</span>
										<div class="jabph_popper_box" style="position: absolute"v-if="transactionPriceShowPopper">
											<div class="jabph_popper_wrap">
												从
												<el-input class="jabph_popper_input" v-limit-num clearable v-model="startTransactionPrice"></el-input>
												万
											</div>
											<div class="jabph_popper_wrap">
												到
												<el-input class="jabph_popper_input" v-limit-num clearable v-model="endTransactionPrice"></el-input>
												万
											</div>
											<div style="">
												<el-button size="mini" @click="transactionPriceCancel">取消</el-button>
												<el-button type="primary" size="mini" @click="transactionPricePopperConfirm">确定</el-button>
											</div>
										</div>
									</div>
								</el-dropdown-item>
						</el-dropdown-menu>
				    </el-dropdown>
					<el-dropdown @command="contractSignTimehandleCommand" class="el-dropdown-land"  placement="bottom-start" trigger="click" ref="contractSignTimeShowPopper" :hide-on-click="false">
						<span class="el-dropdown-link" :class="contractSignTimeValue ? 'color_text' : ''">
							签订日期{{ contractSignTimeValue ? " 1项" : ""}}<i class="el-icon-caret-bottom"></i>
						</span>
						<div>
							<el-dropdown-menu slot="dropdown">
								<el-dropdown-item v-for="(item, i) in contractSignTimeOptions" :class="contractSignTimeValue && contractSignTimeValue == item.value? 'color_text': ''" :key="i" :command="item.value">
									<div @mouseenter="hidePoper">{{ item.label }}</div>
								</el-dropdown-item>
								<el-dropdown-item command="自定义" style="padding: 0; text-indent: 20px">
									<div @mouseenter="mouseenter">
										<span :class=" contractSignTimeValue == '自定义' ? 'color_text' : ''">
											自定义<i class="el-icon-arrow-right"></i>
										</span>
										<el-date-picker v-if="contractSignTimeShowPopper"@change="changeContractSignTime" class="land_date_picker"v-model="contractSignTime" 
										    ref="datePicker" value-format="yyyy-MM-dd" type="daterange" range-separator="至" start-placeholder="开始日期"
											end-placeholder="结束日期">
										</el-date-picker>
									</div>
								</el-dropdown-item>
							</el-dropdown-menu>
						</div>
					</el-dropdown>
			    </div>
			</div>
			<div class="content_item">
			    <div class="label">土地坐落</div>
			    <div class="content_right">
					<el-input  v-model="landMarketDto.landAddr" clearable class="land_ipt_470"
						placeholder="请输入土地坐落位置，如两江新区"></el-input>
			    </div>
			</div>
			<div class="content_item">
			    <div class="label">受让人</div>
			    <div class="content_right">
					<el-input v-model="landMarketDto.companyName" clearable class="land_ipt_470"
						placeholder="请输入受让人或土地使用权人名称，如重庆城投"></el-input>
			    </div>
			</div>
			<div class="content_item content_item_padding0">
			    <div class="geduan">
			       
			    </div>
			</div>
			<div class="content_item content_item_padding0">
				
				<div class="search-new">
					<span @click="search()">查询</span>
					<span @click="reset">重置</span>
				</div>
			</div>
		</div>
		
			<div class="bottomlist">
				<div class="bottomlist-title">
					<div class="bottomlist-title-left" >
						<p class="title-left">
							<span style="margin-right:4;color:rgba(35, 35, 35, 0.40);font-size: 18px;position: relative;top:2px;">·</span>共有{{total}}条
						</p>
						<el-popover v-model="fieldshow" placement="bottom-start" trigger="click"
							popper-class="viewlist-el-popover">
							<ul class="pup_list pup_zhclist">
								<li v-for="(itme,i) in fieldOptions" :class="itme.status?'active':''"
									@click="handsequencingList(i)" :key="i">
									{{itme.value}}
								</li>
							</ul>
							<span slot="reference" class="toolbar-right-download" >
								{{fieldText}}<i class="el-icon-arrow-down"
									:style="{transform:fieldshow?'rotate(180deg)':''}"></i>
							</span>
						</el-popover>
					</div>
					<div class="title-right">
							<p>
							<img src="@/assets/images/EXCEL.png" alt="">
							<span class="excel" @click="$message({message: '功能正在开发中',type: 'warning'})">导出EXCEL</span>
						</p>
					</div>
					  
				</div>
				<div class="table-item-jf1" v-if="tableData.length==0&& !isSkeleton">
					<img class="item-jf-img" src="@/assets/images/kong.png" alt="">
					<div class="item-jf-titel">抱歉，没找到相关数据！</div>
					<div class="item-jf-text">建议调整关键词或筛选条件，重新搜索！</div>
				</div>  
				<skeleton style="margin-left:16px;" v-if="isSkeleton"></skeleton>
				<ul class="bottomlist-content" v-if="tableData.length>0&& !isSkeleton">
					<li class="bottomlist-list" v-for="item in tableData">
						<p class="list-titel">
							 <router-link :to="'/radar/Land/details/'+ item.id" tag="a" class="list-titel-a" v-html="item.projectName"></router-link>
						</p>
						
						<div  class="list-content"  v-if="item.companyName||item.transactionPrice||item.acreage||item.acreage">
							<p class="list-content-text"  v-if="item.companyName">
								<span>受让人：</span>
								<span v-if="item.companyId">
									 <span class="blue"   @click="getUipIdByCid(item.companyId)" v-html="item.companyName"></span>
								</span>
								<span v-else  v-html="item.companyName">
								</span>
								
							</p>
							<p class="list-content-text" v-if="item.transactionPrice">
								<span>成交金额：</span>
								<span>{{item.transactionPrice||'--'}}万元</span>
							</p>
							<p class="list-content-text" v-if="item.acreage">
								<span>总面积：</span>
								<span>{{item.acreage||'--'}}㎡</span>
							</p>
							<p class="list-content-text"  v-if="item.contractSignTime">
								<span>合同签订：</span>
								<span>{{item.contractSignTime||'--'}}</span>
							</p>
						</div>
						<div  class="list-content"  v-if="item.landUse||item.industry||item.supplyLandWay">
							<p class="list-content-text"  v-if="item.landUse">
								<span>土地用途：</span>
								<span >{{item.landUse||'--'}}</span>
							</p>
							<p class="list-content-text"  v-if="item.industry">
								<span>行业分类：</span>
								<span >{{item.industry||'--'}}</span>
							</p>
							<p class="list-content-text"  v-if="item.supplyLandWay">
								<span>供应方式：</span>
								<span >{{item.supplyLandWay||'--'}}</span>
							</p>
						</div>
						<div  class="list-content list-addree"  v-if="item.province||item.city||item.area||item.landAddr">
							<img src="@/assets/images/addree.png" alt="">
							<p class="list-content-text"  v-if="item.province||item.city||item.area">
								<span>行政区划：</span>
								<span >{{item.province}}<template v-if="item.city">-{{item.city}}</template><template v-if="item.area">-{{item.area}}</template></span>
							</p>
							<p class="list-content-text"  v-if="item.landAddr">
								<span>土地坐落：</span>
								<span  v-html="item.landAddr"></span>
							</p>
						</div>
					</li>
				</ul>
				<div class="pagination clearfix"  v-if="total>0&&pageFlag">
					  <el-pagination
					    background
					    :page-size="pageSize"
					    :current-page="page"
					    @current-change="handleCurrentChange"
					    layout="prev, pager, next"
					    :total="total>limit*500?501*limit:total">
					  </el-pagination>
				</div>
				
			</div>
		
	</div>
</template>

<script>
	import {encodeStr} from "@/assets/js/common.js"
	import skeleton from '@/views/project/projectList/component/skeleton'
	import api from '@/api/radar/radar.js';
	import jsk_data from '../../../../../public/jsk.json';
	export default {
		name: 'Land',
		components:{skeleton},
		data() {
			return {
				encodeStr,
				isSkeleton:true,
				conditionTitles: {
					keyword: "关键词:",
					landAddr: "土地坐落:",
					companyName: "受让人:",
				},
				conditionsArr: [],
				addressList: [],
				addressType: [],
				props: {
					multiple: true,
					expandTrigger: "hover",
					value: "id",
				},
				fieldshow: false,
				fieldText: '默认排序',
				field: '', //查询结果排序方式
				fieldOptions: [{
						key: "contractSignTime",
						value: "默认排序",
						status: true,
					},
					{
						key: "transactionPrice",
						value: "成交金额从大到小",
						status: false,
					},
					{
						key: "acreage",
						value: "出让面积从大到小",
						status: false,
					},
				],
				page: 1,
				limit: 20,
				acreageOptions: [{
						value: "不限",
						label: "不限",
					},
					{
						value: [0, 500],
						label: "500平以下",
					},
					{
						value: [500, 1000],
						label: "500-1000平",
					},
					{
						value: [1000, 5000],
						label: "1000-5000平",
					},
					{
						value: [5000, 20000],
						label: "5000-2万平",
					},
					{
						value: [20000, 50000],
						label: "2万-5万平",
					},
					{
						value: [50000, 100000],
						label: "5万-10万平",
					},
					{
						value: [100000, ""],
						label: "10万平以上",
					},
				],
				transactionPriceOptions: [{
						value: "不限",
						label: "不限",
					},
					{
						value: [0, 100],
						label: "100万元以下",
					},
					{
						value: [100, 1000],
						label: "100万-1000万元",
					},
					{
						value: [1000, 5000],
						label: "1000万-5000万元",
					},
					{
						value: [5000, 20000],
						label: "5000万-2亿元",
					},
					{
						value: [20000, ""],
						label: "2亿元以上",
					},
				],
				contractSignTimeOptions: [{
						label: "不限",
						value: "",
					},
					{
						label: "近1个月",
						value: "近1个月",
					},
					{
						label: "近半年",
						value: "近半年",
					},
					{
						label: "近1年",
						value: "近1年",
					},
					{
						label: "近3年",
						value: "近3年",
					},
				],
				contractSignTimeValue: "",
				landUseOptions: [],
				landMarketIndustryList: [],
				supplyLandWayOptions: [
					"划拨供地",
					"协议出让",
					"国有租赁",
					"拍卖出让",
					"招标出让",
					"挂牌出让",
				],
				landMarketDto: {
					landUse: [],
					province: [],
					city: [],
					area: [],
					supplyLandWay: [],
					industry: [],
				},
				domicile: [],
				startAcreage: "",
				endAcreage: "",
				showPopper: false,
				showIpt: false,
				volumeRateHigh: "",
				volumeRateLow: "",
				startTransactionPrice: "",
				endTransactionPrice: "",
				transactionPriceShowPopper: false,
				contractSignTime: "",
				contractSignTimeShowPopper: false,
				pageFlag: true,
				
				showList:true,
				fieldshow: false,
				fieldText: '默认排序',
				field: '', //查询结果排序方式
				fieldOptions: [
				  {
				    key: "contractSignTime",
				    value: "默认排序",
				    status: true,
				  },
				  {
				    key: "transactionPrice",
				    value: "成交金额从大到小",
				    status: false,
				  },
				  {
				    key: "acreage",
				    value: "出让面积从大到小",
				    status: false,
				  },
				],
				
				tableData:[],
				total:0,
				page:1,
				pageSize:20
			};
		},
	
		computed: {
			checkLandMarketDto() {
				let arr = [];
				let flag = false;
				let data = {};
				let keyid, value, title;
				if (this.domicile.length > 0) {
					data = {
						title: "行政区划:",
						keyid: "domicile",
						value: this.domicile.join(","),
						key: "domicile"
					}
					arr.push(data)
				}
				if (this.contractSignTimeValue == "自定义") {
					data = {
						title: "签订日期:",
						value: this.landMarketDto.contractSignTimeStart + "~" + this.landMarketDto.contractSignTimeEnd,
					}
					arr.push(data)
				}
				if (this.contractSignTimeValue && this.contractSignTimeValue != "自定义") {
					data = {
						title: "签订日期:",
						value: this.contractSignTimeValue,
					}
					arr.push(data)
				}
				for (var i in this.landMarketDto) {
					if (this.landMarketDto[i]) {
						keyid = i;
						value = this.landMarketDto[i];
						if (
							Object.prototype.toString.call(this.landMarketDto[i]) ===
							"[object Array]"
						) {
							if (this.landMarketDto[i].length > 0) {
								flag = true;
								switch (i) {
									case 'landUse':
										title = "土地用途:";
										break;
									case 'supplyLandWay':
										title = "供应方式:";
										break;
									case 'industry':
										title = "行业分类:";
										break;
									default:
										title = "";
										break;
								}
							} else {
								title = ""
							}
						} else {
							title = this.conditionTitles[i];
							flag = true;
						}
						if (title) {
							data = {
								keyid: keyid,
								value: value,
								title: title,
								key: value
							}
							arr.push(data)
						}
					}
				}
				this.conditionsArr = arr
				return flag;
			},
		},
		mounted() {
			this.init();
		},
		methods: {
			searchDic(){
				api.searchDic().then(res=>{
					this.landMarketIndustryList = res.landMarketIndustry;
					this.landUseOptions = res.landUse
				}).catch(error=>{
					
				});
							 
			},
			refresh(value) {
				if (value) {
					this.$router.go(0)
				}
			},
			search(page, limit, exportFlag) {
				if (!page) {
					this.page = 1;
				}
				if (!limit) {
					this.limit = 20;
				}
				if (!page && !limit) {
					this.reloadPage();
				}
				var data = JSON.parse(JSON.stringify(this.landMarketDto));
				data.landUse = data.landUse.join(",");
				data.province = data.province.join(",");
				data.city = data.city.join(",");
				data.area = data.area.join(",");
				data.supplyLandWay = data.supplyLandWay.join(",");
				data.industry = data.industry.join(",");
				let params = {
					page: {
						page: this.page,
						limit: this.limit,
						field: this.field,
					},
					landMarketDto: data,
				};
				this.isSkeleton = true;
				api.landMarketPage(params).then(res=>{
					this.isSkeleton = false;
					if (res.code==200) {
						this.tableData=res.data.list;
						this.total=res.data.total;
					}
				}).catch(error=>{
					
				});
				

			},
			//关闭支付弹窗

			resolve(value) {
				if (value) {
					this.$router.go(0)
				}
			},

			reloadPage() {
				this.pageFlag = false;
				this.$nextTick(() => {
					this.pageFlag = true;
				});
			},
			handleCurrentChange(page) {
				if(page>500){
				this.$message.warning(`对不起，最多只能访问500页`);
				this.reloadPage()
				}else{
				this.page = page;
				this.search(page, this.limit);
				this.jump1();
				}
			},
			handleSizeChange(limit) {
				this.limit = limit;
				this.search(this.page, limit);
			},
			deleteDomicile() {
				this.$refs.address.handleClear();
			},
			domicileChange() {
				let arr = this.$refs.address.getCheckedNodes();
				let province = [],
					city = [],
					area = [];
				this.domicile = [];
				for (var i in arr) {
					if (arr[i].parent) {
						if (!arr[i].parent.checked) {
							arr[i].hasChildren && city.push(arr[i].value);
							arr[i].hasChildren && this.domicile.push(arr[i].label);
							!arr[i].hasChildren && area.push(arr[i].value);
							!arr[i].hasChildren && this.domicile.push(arr[i].label);
						}
					} else {
						province.push(arr[i].value);
						this.domicile.push(arr[i].label);
					}
				}
				var obj = JSON.parse(JSON.stringify(this.landMarketDto));
				obj.province = province;
				obj.city = city;
				obj.area = area;
				this.landMarketDto = obj;
			},
			popperConfirm() {
				if (
					this.startAcreage &&
					this.endAcreage &&
					!(Number(this.endAcreage) > Number(this.startAcreage))
				) {
					return this.$message.warning("最小值必须小于最大值,请重新输入！");
				}
				this.showPopper = false;
				var obj = JSON.parse(JSON.stringify(this.landMarketDto));
				obj.startAcreage = this.startAcreage;
				obj.endAcreage = this.endAcreage;
				this.landMarketDto = obj;
				this.$refs.popper.hide();
			},
			cancel() {
				this.showPopper = false;
				this.$refs.popper.hide();
			},
			transactionPricePopperConfirm() {
				if (
					this.startTransactionPrice &&
					this.endTransactionPrice &&
					!(Number(this.endTransactionPrice) > Number(this.startTransactionPrice))
				) {
					return this.$message.warning("最小值必须小于最大值,请重新输入！");
				}
				this.transactionPriceShowPopper = false;
				var obj = JSON.parse(JSON.stringify(this.landMarketDto));
				obj.startTransactionPrice = this.startTransactionPrice;
				obj.endTransactionPrice = this.endTransactionPrice;
				this.landMarketDto = obj;
				this.$refs.transactionPriceShowPopper.hide();
			},
			transactionPriceCancel() {
				this.transactionPriceShowPopper = false;
				this.$refs.transactionPriceShowPopper.hide();
			},
			handleCommand(command) {
				if (command) {
					this.$refs.popper.hide();
					var obj = JSON.parse(JSON.stringify(this.landMarketDto));
					this.startAcreage = "";
					this.endAcreage = "";
					if (command == "不限") {
						obj.startAcreage = "";
						obj.endAcreage = "";
					} else {
						obj.startAcreage = command[0];
						obj.endAcreage = command[1];
					}
					this.landMarketDto = obj;
				}
			},
			transactionPricehandleCommand(command) {
				if (command) {
					this.$refs.transactionPriceShowPopper.hide();
					var obj = JSON.parse(JSON.stringify(this.landMarketDto));
					this.startTransactionPrice = "";
					this.endTransactionPrice = "";
					if (command == "不限") {
						obj.startTransactionPrice = "";
						obj.endTransactionPrice = "";
					} else {
						obj.startTransactionPrice = command[0];
						obj.endTransactionPrice = command[1];
					}
					this.landMarketDto = obj;
				}
			},
			contractSignTimehandleCommand(command) {
				var obj = JSON.parse(JSON.stringify(this.landMarketDto));
				if (command && command != "自定义") {
					this.contractSignTimeValue = command;
					this.$refs.contractSignTimeShowPopper.hide();
					const datetime = new Date();
					var startTime, endTime, Year, Month, Day;
					Year = datetime.getFullYear();
					Month = datetime.getMonth() + 1;
					Day = datetime.getDate();
					switch (command) {
						case "近1个月":
							if (Month > 1) {
								startTime = Year + "-" + (Month - 1) + "-1";
							} else {
								startTime = Year - 1 + "-" + (12 + Month - 1) + "-1";
							}
							endTime = Year + "-" + Month + "-" + Day;
							break;
						case "近半年":
							if (Month > 6) {
								startTime = Year + "-" + (Month - 6) + "-1";
							} else {
								startTime = Year - 1 + "-" + (12 + Month - 6) + "-1";
							}
							endTime = Year + "-" + Month + "-" + Day;
							break;
						case "近1年":
							startTime = Year - 1 + "-" + Month + "-" + Day;
							endTime = Year + "-" + Month + "-" + Day;
							break;
						case "近3年":
							startTime = Year - 3 + "-" + Month + "-" + Day;
							endTime = Year + "-" + Month + "-" + Day;
							break;
						case "自定义":
							if (!this.contractSignTime) {
								this.contractSignTimeValue = "";
							}
							break;
					}
					if (startTime) {
						var start = startTime.split('-');
						startTime = start.map((item) => {
							if (item.length == 1) {
								return '0' + item
							} else {
								return item
							}
						})
						startTime = startTime.join('-')
					}
					if (endTime) {
						var end = endTime.split('-');
						endTime = end.map((item) => {
							if (item.length == 1) {
								return '0' + item
							} else {
								return item
							}
						})
						endTime = endTime.join('-')
					}
					obj.contractSignTimeStart = startTime;
					obj.contractSignTimeEnd = endTime;
				} else if (command == "自定义") {
					this.$refs.datePicker.pickerVisible = true;
				} else {
					this.$refs.contractSignTimeShowPopper.hide();
					this.contractSignTimeValue = "";
					this.contractSignTime = "";
					obj.contractSignTimeStart = "";
					obj.contractSignTimeEnd = "";
				}
				this.landMarketDto = obj;
			},
			changeContractSignTime() {
				if (this.contractSignTime) {
					this.contractSignTimeValue = "自定义";
					var obj = JSON.parse(JSON.stringify(this.landMarketDto));
					obj.contractSignTimeStart = this.contractSignTime[0];
					obj.contractSignTimeEnd = this.contractSignTime[1];
					this.landMarketDto = obj;
				}
			},
			addressListfn() {
				var str = [];
				for (let x = 0; x < 3; x++) {
					for (let i = 0; i < jsk_data.length; i++) {
						if (jsk_data[i].regionLevel == x + 1 && x + 1 == 1) {
							str.push({
								id: jsk_data[i].id,
								label: jsk_data[i].regionName,
								short: jsk_data[i].short,
								value: jsk_data[i].parentId,
								children: jsk_data[i].id == 900000 ? undefined : [],
							});
						} else if (jsk_data[i].regionLevel == x + 1 && x + 1 == 2 && str) {
							for (let j = 0; j < str.length; j++) {
								if (str[j].id == jsk_data[i].parentId) {
									str[j].children.push({
										id: jsk_data[i].id,
										label: jsk_data[i].regionName,
										short: jsk_data[i].short,
										value: jsk_data[i].parentId,
										children: [],
									});
								}
							}
						} else if (jsk_data[i].regionLevel == x + 1 && x + 1 == 3) {
							for (let j = 0; j < str.length; j++) {
								if (str[j].children) {
									for (let k = 0; k < str[j].children.length; k++) {
										if (str[j].children[k].id == jsk_data[i].parentId) {
											str[j].children[k].children.push({
												id: jsk_data[i].id,
												label: jsk_data[i].regionName,
												short: jsk_data[i].short,
												value: jsk_data[i].parentId,
											});
										}
									}
								}
							}
						}
					}
				}
				this.addressList = str;
			},
			hidePoper() {
				if (this.$refs.datePicker) {
					this.$refs.datePicker.pickerVisible = false;
				}
			},
			mouseenter() {
				this.contractSignTimeShowPopper = true;
				if (this.contractSignTimeValue == "自定义") {
					this.$nextTick(() => {
						this.$refs.datePicker.pickerVisible = true;
					});
				}
			},
			handsequencingList(index) {
				this.fieldshow = false;
				this.field = this.fieldOptions[index].key;
				for (let i = 0; i < this.fieldOptions.length; i++) {
					this.fieldOptions[i].status = false;
				}
				this.fieldText = this.fieldOptions[index].value;
				this.fieldOptions[index].status = true;
				this.search();
			},
			volumeRateConfirm() {
				if (
					this.volumeRateLow &&
					this.volumeRateHigh &&
					!(Number(this.volumeRateHigh) > Number(this.volumeRateLow))
				) {
					return this.$message.warning("最小值必须小于最大值,请重新输入！");
				}
				var obj = JSON.parse(JSON.stringify(this.landMarketDto));
				obj.volumeRateHigh = this.volumeRateHigh;
				obj.volumeRateLow = this.volumeRateLow;
				this.landMarketDto = obj;
				this.showIpt = false;
			},
			clearContractSignTime() {
				this.contractSignTime = "";
				this.contractSignTimeValue = "";
				var obj = JSON.parse(JSON.stringify(this.landMarketDto));
				obj.contractSignTimeStart = "";
				obj.contractSignTimeEnd = "";
				this.landMarketDto = obj;
			},
			reset() {
				Object.assign(this.$data, this.$options.data.call(this)); //重置data
				this.init();
				this.$emit("reset");
			},
			getUipIdByCid(companyId){
				var params=[companyId]
				api.getUipIdByCid(params).then(res=>{
							if (res.code==200) {
									if(res.data&&res.data.length>0&&res.data[0].uipId){
										this.$router.push({path: '/enterprise/'+this.encodeStr(companyId)})
									}else{
										this.$router.push({path: '/company/'+this.encodeStr(companyId)})
									}
									
							}
				 }).catch(error=>{
				 	
				 });
			},
			init() {
				this.search();
				this.addressListfn();
				this.searchDic();
			},
		},
	};
</script>

<style lang="scss" scoped>
	.content{
	  padding: 0px 16px;
	  padding-top: 16px;
	  border-radius: 4px 4px 4px 4px;
	   background: #FFFFFF;
	   .content_item{
		   padding-top: 20px;
		   display: flex;
		   align-items: center;
	       .label{
	           width: 84px;
			   font-size: 14px;
			   font-weight: 400;
			   color: rgba(35,35,35,0.8);
	       }
	       .content_right{
	           
	           .ename_input{
	               width: 640px;
	               margin-right: 20px;
	           }
			   .land_ipt_470 {
			   	width: 640px;
			   }
	       }
		   
		 .item_ckquery_list {
			display: flex;
		
		}
		
		 .item_ckquery_list .el-input__icon {
			position: relative;
			top: 1px;
		}
		.ckquery_list_right {
			width: 640px;
		}
		.register_count_ipt{
			margin-left: 0px;
			
		}
		.register_count_ipt .el-input__inner{
			width: 174px;
		}
		::v-deep .el-input-group__prepend{
			padding: 0 8px;
		}
		.content-projecttype{
			display: flex;
			align-items: center;
			justify-content: center;
			.projecttype{
				font-weight: 400;
				color: #232323;
				padding: 1px 5px;
				margin-right: 4px;
				cursor: pointer;
				border-radius: 3px 3px 3px 3px;
				font-size: 14px;
			}
			.projecttype:first-child{
				padding-left: 0px;
			}
			.projecttype:hover{
				background: #F3F4F5;
				padding: 1px 5px;
			}
			.activetype{
				background: #F3F4F5;
				padding: 1px 5px !important;
			}
		}
		
		
	   
	   }
	   .content_item_padding0{
		   padding: 0;
	   }
		
	}
	.bottomlist{
		width: 100%;
		background-color: #FFFFFF;
		
	     border-radius: 4px 4px 4px 4px;
		.bottomlist-title{
			display: flex;
			justify-content: space-between;
			align-items: center;
			margin-top: 12px;
			padding: 16px ;
			border-bottom: 1px solid #EFEFEF;
			.bottomlist-title-left{
				display: inline-flex;;
				align-items: center;
				.title-left{
				  height:16px;
				  line-height: 16px;
				  font-size: 12px;
				  font-weight: 400;
				  color: #3D3D3D;
			   }
			}
			.title-right{
				display: flex;
				align-items: center;
				
				p:last-child{
					display: flex;
					align-items: center;
					font-size: 14px;
					font-weight: 400;
					color: rgba(35,35,35,0.8);
				}
				img{
					width: 18px;
					height: 18px;
				}
				.excel{
					cursor: pointer;
				}
			}
			
		}
		.bottomlist-content{
			
			padding-bottom: 0px;
		}
		.bottomlist-list{
			padding: 16px;
			font-size: 14px;
			border-bottom: 1px solid #EFEFEF;
			padding-bottom: 14px;
			.list-titel{
				font-size: 16px;
				font-weight: 700;
				color: #3D3D3D;
				margin-bottom: 4px;
				line-height: 19px;
				.list-titel-a{
					text-decoration: none;
					color:#3D3D3D;
				}
				a:hover, a:visited, a:link, a:active{
					color:#3D3D3D;
				}
			}
			.content-label{
				margin-top: 5px;
				.list-label{
					background: #F3F3FF;
					color: #8491E8;
					border-radius: 1px 1px 1px 1px;
				
					padding: 3px 7px;
					font-size: 12px;
					
				}
			}
			
			
			.list-content{
				margin-top: 3px;
				display: flex;
				justify-content: start;
				align-items: center;
				
				.list-content-text{
					margin-top: 7px;
					display: flex;
					justify-content: start;
					align-items: center;
					margin-right: 32px;
					font-size: 14px;
					
					span:first-child{
						font-weight: 400;
						color: rgba(35,35,35,0.4);
						line-height: 15px
					}
					span:last-child{
						font-weight: 400;
						color: rgba(35,35,35,0.8);
						line-height: 15px
					}
					.blue{
						color: #0081FF !important;
						cursor: pointer;
						
					}
					
				}
				
				
			}
			.list-addree{
				width: auto;
				background: #F3F4F5;
				display: inline-flex;
				margin-top: 8px;
				.list-content-text{
					margin-top: 0px;
					span{
						line-height: 30px!important;
					}
				}
				img{
					width: 14px;
					margin: 0  8px;
					
				}
			}
			
			
		}
		.bottomlist-list:hover{
			background: #F6F9FC;
			
		}
		.pagination{
			padding: 14px ;
		   .el-pagination{
			   float: right;
		   }
		}
	}
	
	
</style>